function out=output(mc,n,tt,sl,h,lag_e,x,alpha11,W_cov,Wa_cov,WBa_cov,B_cov,Ba_cov,...
        W_width,Wa_width,WBa_width,B_width,Ba_width,...
        JW_cov,JWa_cov,JWBa_cov,JB_cov,JBa_cov,JBstar_cov,JBastar_cov,...
        JW_width,JWa_width,JWBa_width,JB_width,JBa_width,JBstar_width,JBastar_width);

if x==1
fid = fopen('Results1/SUMMARY.asc','w+');
end
if x==2
fid = fopen('Results2/SUMMARY.asc','w+');
end
if x==3
fid = fopen('Results3/SUMMARY.asc','w+');
end
if x==4
fid = fopen('Results4/SUMMARY.asc','w+');
end
if x==5
fid = fopen('Results5/SUMMARY.asc','w+');
end
if x==6
fid = fopen('Results6/SUMMARY.asc','w+');
end
if x==7
fid = fopen('Results7/SUMMARY.asc','w+');
end
if x==8
fid = fopen('Results8/SUMMARY.asc','w+');
end

fprintf(fid,'Number of MC replications: %6.0f\n',mc);
fprintf(fid,'Number of bootstrap replications: %6.0f\n',n);
fprintf(fid,'Alpha11: %6.2f\n',alpha11(x));
fprintf(fid,'Net sample size: %6.0f\n',tt);
fprintf(fid,'1-nominal coverage rate: %6.2f\n',sl);
fprintf(fid,'Horizon: %6.0f\n',h);
fprintf(fid,'Lag order estimation (0 - true lag order used, 1 - lag order estimated): %6.0f\n',lag_e);

fprintf(fid,'\n COVERAGE WRT TO INDIVIDUAL IRFs\n\n');
fprintf(fid,'\n W band:\n\n');
fprintf(fid,'Mean coverage:\n');
fprintf(fid,'%6.6f\n', mean(W_cov,1)');
fprintf(fid,'Mean width:\n');
fprintf(fid,'%6.6f\n', mean(W_width,1)');

fprintf(fid,'\n Wa band:\n\n');
fprintf(fid,'Mean coverage:\n');
fprintf(fid,'%6.6f\n', mean(Wa_cov,1)');
fprintf(fid,'Mean width:\n');
fprintf(fid,'%6.6f\n', mean(Wa_width,1)');

fprintf(fid,'\n WBa band:\n\n');
fprintf(fid,'Mean coverage:\n');
fprintf(fid,'%6.6f\n', mean(WBa_cov,1)');
fprintf(fid,'Mean width:\n');
fprintf(fid,'%6.6f\n', mean(WBa_width,1)');

fprintf(fid,'\n B band:\n\n');
fprintf(fid,'Mean coverage:\n');
fprintf(fid,'%6.6f\n', mean(B_cov,1)');
fprintf(fid,'Mean width:\n');
fprintf(fid,'%6.6f\n', mean(B_width,1)');

fprintf(fid,'\n Ba band:\n\n');
fprintf(fid,'Mean coverage:\n');
fprintf(fid,'%6.6f\n', mean(Ba_cov,1)');
fprintf(fid,'Mean width:\n');
fprintf(fid,'%6.6f\n', mean(Ba_width,1)');

fprintf(fid,'\n JOINT COVERAGE\n\n');
fprintf(fid,'\n W band:\n\n');
fprintf(fid,'Mean coverage:\n');
fprintf(fid,'%6.6f\n', mean(JW_cov,1)');
fprintf(fid,'Mean width:\n');
fprintf(fid,'%6.6f\n', mean(JW_width,1)');

fprintf(fid,'\n JWa:\n\n');
fprintf(fid,'Mean coverage:\n');
fprintf(fid,'%6.6f\n', mean(JWa_cov,1)');
fprintf(fid,'Mean width:\n');
fprintf(fid,'%6.6f\n', mean(JWa_width,1)');

fprintf(fid,'\n JWBa:\n\n');
fprintf(fid,'Mean coverage:\n');
fprintf(fid,'%6.6f\n', mean(JWBa_cov,1)');
fprintf(fid,'Mean width:\n');
fprintf(fid,'%6.6f\n', mean(JWBa_width,1)');

fprintf(fid,'\n JB band:\n\n');
fprintf(fid,'Mean coverage:\n');
fprintf(fid,'%6.6f\n', mean(JB_cov,1)');
fprintf(fid,'Mean width:\n');
fprintf(fid,'%6.6f\n', mean(JB_width,1)');

fprintf(fid,'\n JBa band:\n\n');
fprintf(fid,'Mean coverage:\n');
fprintf(fid,'%6.6f\n', mean(JBa_cov,1)');
fprintf(fid,'Mean width:\n');
fprintf(fid,'%6.6f\n', mean(JBa_width,1)');

fprintf(fid,'\n JBstar band:\n\n');
fprintf(fid,'Mean coverage:\n');
fprintf(fid,'%6.6f\n', mean(JBstar_cov,1)');
fprintf(fid,'Mean width:\n');
fprintf(fid,'%6.6f\n', mean(JBstar_width,1)');

fprintf(fid,'\n JBastar:\n\n');
fprintf(fid,'Mean coverage:\n');
fprintf(fid,'%6.6f\n', mean(JBastar_cov,1)');
fprintf(fid,'Mean width:\n');
fprintf(fid,'%6.6f\n', mean(JBastar_width,1)');

fclose(fid);
out=1;
