function band=JadjB(h,B1,bp1,n,sl,nvar)

band=zeros(2*nvar^2,h);
idx=zeros(n,nvar^2);
ind=[];

for c=1:nvar^2
    bb1=bp1(n*(c-1)+1:c*n,:);
    for i=1:n
        k=inside((1:1),bb1(i,1:h),B1(2*c-1,:),B1(2*c,:));
        idx(i,c)=k;
        if k==0
            ind=[ind i];
        end
    end
end

u=unique(ind);
lu=length(u);
coverage=n-lu;
n1=n;
bp2=bp1;

bp=bp2;
hh=0;
minmax1=zeros(2*nvar^2,h);
bp3=[];
index=[];
size2=0;
for c=1:nvar^2
    bb1=bp1(n*(c-1)+1:c*n,:);
    bb1(u,:)=[];
    bp3=[bp3; bb1];
    [minmax1(2*c-1,:),i1]=min(bb1);
    [minmax1(2*c,:),i2]=max(bb1);
    size2=size2+sum(minmax1(2*c-1,:)-minmax1(2*c,:));
    index=[index i1 i2];
end

while coverage>n-sl*n

    n1=length(bb1);
    indexunique=unique(index);
    ll=length(indexunique);

    gain=ones(ll,1)*size2;
    for c=1:nvar^2
        bb1=bp3(n1*(c-1)+1:c*n1,:);
        for j=1:ll
            size1=0;

            rr=bb1(indexunique(j),:);
            indmin=[];
            indmax=[];
            for ss=1:h
                if rr(ss)==minmax1(2*c-1,ss)
                    indmin=[indmin ss];
                end
                if rr(ss)==minmax1(2*c,ss)
                    indmax=[indmax ss];
                end
            end
            if length(indmin)>0|length(indmax)>0
                A=bb1;
                indexA = true(1, size(A, 1));
                indexA(indexunique(j)) = false;
                [C11]=minmax1(2*c-1,:);
                [C22]=minmax1(2*c,:);
                if length(indmax)>0
                    for gg=1:length(indmax)
                        C22(indmax(gg))=max(A(indexA,indmax(gg)));
                    end
                end
                if length(indmin)>0
                    for gg=1:length(indmin)

                        C11(indmin(gg))=min(A(indexA,indmin(gg)));
                    end
                end
                size1=sum(C22-C11);
            else
                size1=sum(minmax1(2*c,:)-minmax1(2*c-1,:));
            end
            gain(j)=gain(j)-size1;
        end
    end

    [d,dind]=max(gain);

    u=indexunique(dind);
    bp2=bp3;

    index=[];
    bp3=[];
    size2=0;

    for c=1:nvar^2
        bb1=bp2(n1*(c-1)+1:c*n1,:);
        bb1(u,:)=[];
        bp3=[bp3; bb1];
        [C1,i1]=min(bb1);
        [C2,i2]=max(bb1);

        minmax1(2*c-1,:)=C1;
        minmax1(2*c,:)=C2;

        size2=size2+sum(C2-C1);
        index=[index i1 i2];
    end
    coverage=coverage-1;
end

band=minmax1;