function band=JB_star(bb1,sl,mmstar,h,n,nvar,nlags)

band=zeros(2,h+1);

b1=quantile(bb1,sl/(2*(mmstar)));
b2=quantile(bb1,1-sl/(2*(mmstar)));

shortpath=bb1(:,1:nlags+1);

ins=zeros(n,1);

for i=1:n
    [cov1]=inside(1,shortpath(i,:),b1(1,1:nlags+1),b2(1,1:nlags+1));
    if cov1==1
        ins(i)=i;
    end
end

ins(ins==0)=[];

b=bb1(ins,:);

bmin=min(b,[],1);
bmax=max(b,[],1);

band(1,1:nlags+1)=b1(1,1:nlags+1);
band(2,1:nlags+1)=b2(1,1:nlags+1);

band(1,nlags+2:h+1)=bmin(1,nlags+2:h+1);
band(2,nlags+2:h+1)=bmax(1,nlags+2:h+1);